For the complete documentation index, see llms.txt. This page is also available as Markdown.

Vendors

List vendors

get

Get a paginated list of vendors with optional filtering

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Query parameters
limitintegerOptional

Number of items to return

Default: 100
afterstringOptional

Cursor for forward pagination

beforestringOptional

Cursor for backward pagination

is_activebooleanOptional

Filter by active status

originstringOptional

Filter by origin (manual, quickbooks, ocr)

vendor_namestringOptional

Filter by vendor name

Responses
200

OK

application/json
end_cursorstringOptionalExample: gaFpxBACEaXBVABEYbHG+X9LyLnH
has_next_pagebooleanOptionalExample: true
has_previous_pagebooleanOptional
start_cursorstringOptionalExample: gaFpxBACEaXBVABEYbHG+X9LyLnH
get/vendors
GET /vendors HTTP/1.1
Host: public-api.alternativepayments.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
200

OK

{
  "data": [
    {
      "category": "text",
      "city": "text",
      "country": "text",
      "created_at": "text",
      "email": "text",
      "id": "text",
      "is_active": true,
      "name": "text",
      "origin": "manual",
      "phone": "text",
      "postal_code": "text",
      "state": "text",
      "street_address": "text",
      "tax_id": "text",
      "updated_at": "text"
    }
  ],
  "end_cursor": "gaFpxBACEaXBVABEYbHG+X9LyLnH",
  "has_next_page": true,
  "has_previous_page": false,
  "start_cursor": "gaFpxBACEaXBVABEYbHG+X9LyLnH"
}

Create a vendor

post

Create a new vendor with the provided information. Optionally include bank account details.

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Body

Vendor creation request

categorystringOptional
citystringOptional
countrystringOptional
emailstringOptional
namestringOptional
phonestringOptional
postal_codestringOptional
statestringOptional
street_addressstringOptional
tax_idstringOptional
Responses
201

Created

application/json

Vendor details

categorystringOptional
citystringOptional
countrystringOptional
created_atstringOptional
emailstringOptional
idstringOptional
is_activebooleanOptional
namestringOptional
originstring · enumOptional

Vendor origin enum

Possible values:
phonestringOptional
postal_codestringOptional
statestringOptional
street_addressstringOptional
tax_idstringOptional
updated_atstringOptional
post/vendors
POST /vendors HTTP/1.1
Host: public-api.alternativepayments.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 276

{
  "bank_account": {
    "account_number": "text",
    "account_type": "text",
    "bank_name": "text",
    "routing_number": "text"
  },
  "category": "text",
  "city": "text",
  "country": "text",
  "email": "text",
  "name": "text",
  "phone": "text",
  "postal_code": "text",
  "state": "text",
  "street_address": "text",
  "tax_id": "text"
}
{
  "category": "text",
  "city": "text",
  "country": "text",
  "created_at": "text",
  "email": "text",
  "id": "text",
  "is_active": true,
  "name": "text",
  "origin": "manual",
  "phone": "text",
  "postal_code": "text",
  "state": "text",
  "street_address": "text",
  "tax_id": "text",
  "updated_at": "text"
}

Get a vendor

get

Get vendor details by ID

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
idstringRequired

Vendor ID

Responses
200

OK

application/json

Vendor details

categorystringOptional
citystringOptional
countrystringOptional
created_atstringOptional
emailstringOptional
idstringOptional
is_activebooleanOptional
namestringOptional
originstring · enumOptional

Vendor origin enum

Possible values:
phonestringOptional
postal_codestringOptional
statestringOptional
street_addressstringOptional
tax_idstringOptional
updated_atstringOptional
get/vendors/{id}
GET /vendors/{id} HTTP/1.1
Host: public-api.alternativepayments.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "category": "text",
  "city": "text",
  "country": "text",
  "created_at": "text",
  "email": "text",
  "id": "text",
  "is_active": true,
  "name": "text",
  "origin": "manual",
  "phone": "text",
  "postal_code": "text",
  "state": "text",
  "street_address": "text",
  "tax_id": "text",
  "updated_at": "text"
}

Update a vendor

patch

Partially update vendor details

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
idstringRequired

Vendor ID

Body

Vendor patch request (partial update)

categorystringOptional
citystringOptional
countrystringOptional
emailstringOptional
namestringOptional
phonestringOptional
postal_codestringOptional
statestringOptional
street_addressstringOptional
tax_idstringOptional
Responses
200

OK

application/json

Vendor details

categorystringOptional
citystringOptional
countrystringOptional
created_atstringOptional
emailstringOptional
idstringOptional
is_activebooleanOptional
namestringOptional
originstring · enumOptional

Vendor origin enum

Possible values:
phonestringOptional
postal_codestringOptional
statestringOptional
street_addressstringOptional
tax_idstringOptional
updated_atstringOptional
patch/vendors/{id}
PATCH /vendors/{id} HTTP/1.1
Host: public-api.alternativepayments.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 170

{
  "category": "text",
  "city": "text",
  "country": "text",
  "email": "text",
  "name": "text",
  "phone": "text",
  "postal_code": "text",
  "state": "text",
  "street_address": "text",
  "tax_id": "text"
}
{
  "category": "text",
  "city": "text",
  "country": "text",
  "created_at": "text",
  "email": "text",
  "id": "text",
  "is_active": true,
  "name": "text",
  "origin": "manual",
  "phone": "text",
  "postal_code": "text",
  "state": "text",
  "street_address": "text",
  "tax_id": "text",
  "updated_at": "text"
}

Get vendor bank account

get

Get the vendor's bank account details (masked)

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
idstringRequired

Vendor ID

Responses
200

OK

application/json

Vendor bank account details (masked)

account_maskstringOptional
account_typestring · enumOptional

Bank account type enum

Possible values:
bank_namestringOptional
idstringOptional
payment_method_idstringOptional
get/vendors/{id}/bank-account
GET /vendors/{id}/bank-account HTTP/1.1
Host: public-api.alternativepayments.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "account_mask": "text",
  "account_type": "checking",
  "bank_name": "text",
  "id": "text",
  "payment_method_id": "text"
}

Add or update vendor bank account

post

Create or replace the vendor's bank account

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
idstringRequired

Vendor ID

Body

Bank account upsert request

account_numberstringOptional
account_typestringOptional
bank_namestringOptional
routing_numberstringOptional
Responses
200

OK

application/json

Vendor bank account details (masked)

account_maskstringOptional
account_typestring · enumOptional

Bank account type enum

Possible values:
bank_namestringOptional
idstringOptional
payment_method_idstringOptional
post/vendors/{id}/bank-account
POST /vendors/{id}/bank-account HTTP/1.1
Host: public-api.alternativepayments.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "account_number": "text",
  "account_type": "text",
  "bank_name": "text",
  "routing_number": "text"
}
{
  "account_mask": "text",
  "account_type": "checking",
  "bank_name": "text",
  "id": "text",
  "payment_method_id": "text"
}

Create vendor data request

post

Send a self-service data collection link to the vendor

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
idstringRequired

Vendor ID

Responses
201

Created

application/json

Vendor data request creation result

idstringOptional
post/vendors/{id}/data-request
POST /vendors/{id}/data-request HTTP/1.1
Host: public-api.alternativepayments.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "text"
}

List vendor data requests

get

Get all data requests for a vendor

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
idstringRequired

Vendor ID

Responses
200

OK

application/json

List of vendor data requests

get/vendors/{id}/data-requests
GET /vendors/{id}/data-requests HTTP/1.1
Host: public-api.alternativepayments.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "data": [
    {
      "created_at": "text",
      "expires_at": "text",
      "id": "text",
      "status": "text",
      "submitted_at": "text",
      "vendor_id": "text"
    }
  ]
}

Resend vendor data request

post

Resend the data collection email for a vendor data request

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
idstringRequired

Vendor ID

request_idstringRequired

Data Request ID

Responses
200

OK

application/json

Data request resend confirmation

successbooleanOptional
post/vendors/{id}/data-requests/{request_id}/resend
POST /vendors/{id}/data-requests/{request_id}/resend HTTP/1.1
Host: public-api.alternativepayments.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "success": true
}

Deactivate a vendor

post

Deactivate a vendor, setting is_active to false

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
idstringRequired

Vendor ID

Responses
200

OK

application/json

Vendor deactivation result

affected_bill_countintegerOptional
vendor_idstringOptional
post/vendors/{id}/deactivate
POST /vendors/{id}/deactivate HTTP/1.1
Host: public-api.alternativepayments.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "affected_bill_count": 1,
  "vendor_id": "text"
}

Reactivate a vendor

post

Reactivate a previously deactivated vendor

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
idstringRequired

Vendor ID

Responses
200

OK

application/json

Vendor reactivation result

affected_bill_countintegerOptional
vendor_idstringOptional
post/vendors/{id}/reactivate
POST /vendors/{id}/reactivate HTTP/1.1
Host: public-api.alternativepayments.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "affected_bill_count": 1,
  "vendor_id": "text"
}

Last updated

Was this helpful?